# swagger_client.OnpointsApi

All URIs are relative to *https://astronomy.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**onpoints_onpoint_id_days_date_get**](OnpointsApi.md#onpoints_onpoint_id_days_date_get) | **GET** /onpoints/{onpointId}/days/{date} | A day of astronomy data for an OnPoint™ point.
[**onpoints_onpoint_id_days_date_startdate_end_get**](OnpointsApi.md#onpoints_onpoint_id_days_date_startdate_end_get) | **GET** /onpoints/{onpointId}/days/{dateStart},{dateEnd} | A contiguous range of daily astronomy for an OnPoint™ point.
[**onpoints_onpoint_id_hours_timestamp_get**](OnpointsApi.md#onpoints_onpoint_id_hours_timestamp_get) | **GET** /onpoints/{onpointId}/hours/{timestamp} | An hour of astronomy data for an OnPoint™ point.
[**onpoints_onpoint_id_hours_timestamp_starttimestamp_end_get**](OnpointsApi.md#onpoints_onpoint_id_hours_timestamp_starttimestamp_end_get) | **GET** /onpoints/{onpointId}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly astronomy for an OnPoint™ point.

# **onpoints_onpoint_id_days_date_get**
> AstronomyOnpointDayObj onpoints_onpoint_id_days_date_get(onpoint_id, _date, fields, unit_scale=unit_scale)

A day of astronomy data for an OnPoint™ point.

Returns a single day of astronomical data for an OnPoint™ point.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKeyAuth
configuration = swagger_client.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.OnpointsApi(swagger_client.ApiClient(configuration))
onpoint_id = 56 # int | An OnPoint™ ID.
_date = '2013-10-20' # date | An date formatted as a RFC3339 date value.
fields = ['fields_example'] # list[str] | A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allMoon *(moon related fields)* * allSun *(sun related fields)* * popular *(sunrise, sunset, moonrise, moonset, and moonPhase)* 
unit_scale = 'IMPERIAL' # str | The unit scale for returned values.<br> (optional) (default to IMPERIAL)

try:
    # A day of astronomy data for an OnPoint™ point.
    api_response = api_instance.onpoints_onpoint_id_days_date_get(onpoint_id, _date, fields, unit_scale=unit_scale)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling OnpointsApi->onpoints_onpoint_id_days_date_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpoint_id** | **int**| An OnPoint™ ID. | 
 **_date** | **date**| An date formatted as a RFC3339 date value. | 
 **fields** | [**list[str]**](str.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allMoon *(moon related fields)* * allSun *(sun related fields)* * popular *(sunrise, sunset, moonrise, moonset, and moonPhase)*  | 
 **unit_scale** | **str**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL]

### Return type

[**AstronomyOnpointDayObj**](AstronomyOnpointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **onpoints_onpoint_id_days_date_startdate_end_get**
> AstronomyOnpointDayObj onpoints_onpoint_id_days_date_startdate_end_get(onpoint_id, date_start, date_end, fields, unit_scale=unit_scale)

A contiguous range of daily astronomy for an OnPoint™ point.

Returns a contiguous range of daily astronomical data for an OnPoint™ point.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKeyAuth
configuration = swagger_client.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.OnpointsApi(swagger_client.ApiClient(configuration))
onpoint_id = 56 # int | An OnPoint™ ID.
date_start = '2013-10-20' # date | An date formatted as a RFC3339 date value that must occur temporally before dateEnd.
date_end = '2013-10-20' # date | An date formatted as a RFC3339 date value that must occur temporally after dateStart.
fields = ['fields_example'] # list[str] | A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allMoon *(moon related fields)* * allSun *(sun related fields)* * popular *(sunrise, sunset, moonrise, moonset, and moonPhase)* 
unit_scale = 'IMPERIAL' # str | The unit scale for returned values.<br> (optional) (default to IMPERIAL)

try:
    # A contiguous range of daily astronomy for an OnPoint™ point.
    api_response = api_instance.onpoints_onpoint_id_days_date_startdate_end_get(onpoint_id, date_start, date_end, fields, unit_scale=unit_scale)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling OnpointsApi->onpoints_onpoint_id_days_date_startdate_end_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpoint_id** | **int**| An OnPoint™ ID. | 
 **date_start** | **date**| An date formatted as a RFC3339 date value that must occur temporally before dateEnd. | 
 **date_end** | **date**| An date formatted as a RFC3339 date value that must occur temporally after dateStart. | 
 **fields** | [**list[str]**](str.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allMoon *(moon related fields)* * allSun *(sun related fields)* * popular *(sunrise, sunset, moonrise, moonset, and moonPhase)*  | 
 **unit_scale** | **str**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL]

### Return type

[**AstronomyOnpointDayObj**](AstronomyOnpointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **onpoints_onpoint_id_hours_timestamp_get**
> AstronomyOnpointHourObj onpoints_onpoint_id_hours_timestamp_get(onpoint_id, timestamp, fields, unit_scale=unit_scale)

An hour of astronomy data for an OnPoint™ point.

Returns a single hour of astronomical data for an OnPoint™ point.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKeyAuth
configuration = swagger_client.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.OnpointsApi(swagger_client.ApiClient(configuration))
onpoint_id = 56 # int | An OnPoint™ ID.
timestamp = '2013-10-20T19:20:30+01:00' # datetime | A timestamp formatted as an RFC3339 date-time value. The UTC offset is required.
fields = ['fields_example'] # list[str] | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allMoon *(moon related fields)* * allSun *(sun related fields)* * popular *(sunrise, sunset, moonrise, moonset, and moonPhase)* 
unit_scale = 'IMPERIAL' # str | The unit scale for returned values.<br> (optional) (default to IMPERIAL)

try:
    # An hour of astronomy data for an OnPoint™ point.
    api_response = api_instance.onpoints_onpoint_id_hours_timestamp_get(onpoint_id, timestamp, fields, unit_scale=unit_scale)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling OnpointsApi->onpoints_onpoint_id_hours_timestamp_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpoint_id** | **int**| An OnPoint™ ID. | 
 **timestamp** | **datetime**| A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. | 
 **fields** | [**list[str]**](str.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allMoon *(moon related fields)* * allSun *(sun related fields)* * popular *(sunrise, sunset, moonrise, moonset, and moonPhase)*  | 
 **unit_scale** | **str**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL]

### Return type

[**AstronomyOnpointHourObj**](AstronomyOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **onpoints_onpoint_id_hours_timestamp_starttimestamp_end_get**
> AstronomyOnpointHourObj onpoints_onpoint_id_hours_timestamp_starttimestamp_end_get(onpoint_id, timestamp_start, timestamp_end, fields, unit_scale=unit_scale)

A contiguous range of hourly astronomy for an OnPoint™ point.

Returns a contiguous range of hourly astronomical data for an OnPoint™ point.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKeyAuth
configuration = swagger_client.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.OnpointsApi(swagger_client.ApiClient(configuration))
onpoint_id = 56 # int | An OnPoint™ ID.
timestamp_start = '2013-10-20T19:20:30+01:00' # datetime | A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required.
timestamp_end = '2013-10-20T19:20:30+01:00' # datetime | A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required.
fields = ['fields_example'] # list[str] | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allMoon *(moon related fields)* * allSun *(sun related fields)* * popular *(sunrise, sunset, moonrise, moonset, and moonPhase)* 
unit_scale = 'IMPERIAL' # str | The unit scale for returned values.<br> (optional) (default to IMPERIAL)

try:
    # A contiguous range of hourly astronomy for an OnPoint™ point.
    api_response = api_instance.onpoints_onpoint_id_hours_timestamp_starttimestamp_end_get(onpoint_id, timestamp_start, timestamp_end, fields, unit_scale=unit_scale)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling OnpointsApi->onpoints_onpoint_id_hours_timestamp_starttimestamp_end_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpoint_id** | **int**| An OnPoint™ ID. | 
 **timestamp_start** | **datetime**| A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. | 
 **timestamp_end** | **datetime**| A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. | 
 **fields** | [**list[str]**](str.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allMoon *(moon related fields)* * allSun *(sun related fields)* * popular *(sunrise, sunset, moonrise, moonset, and moonPhase)*  | 
 **unit_scale** | **str**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL]

### Return type

[**AstronomyOnpointHourObj**](AstronomyOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

