# coding: utf-8

# flake8: noqa
"""
    Weather Source Astronomy API

    Daily and hourly astronomical data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Astronomy API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

# import models into model package
from swagger_client.models.astro_rise import AstroRise
from swagger_client.models.astro_set import AstroSet
from swagger_client.models.astronomy_day_arr import AstronomyDayArr
from swagger_client.models.astronomy_day_obj import AstronomyDayObj
from swagger_client.models.astronomy_dma_day_obj import AstronomyDmaDayObj
from swagger_client.models.astronomy_dma_hour_obj import AstronomyDmaHourObj
from swagger_client.models.astronomy_hour_arr import AstronomyHourArr
from swagger_client.models.astronomy_hour_obj import AstronomyHourObj
from swagger_client.models.astronomy_onpoint_day_obj import AstronomyOnpointDayObj
from swagger_client.models.astronomy_onpoint_hour_obj import AstronomyOnpointHourObj
from swagger_client.models.astronomy_point_day_obj import AstronomyPointDayObj
from swagger_client.models.astronomy_point_hour_obj import AstronomyPointHourObj
from swagger_client.models.astronomy_postcode_day_obj import AstronomyPostcodeDayObj
from swagger_client.models.astronomy_postcode_hour_obj import AstronomyPostcodeHourObj
from swagger_client.models.bounding_points import BoundingPoints
from swagger_client.models.bounding_points_inner import BoundingPointsInner
from swagger_client.models.civil_rise import CivilRise
from swagger_client.models.civil_set import CivilSet
from swagger_client.models.country_code import CountryCode
from swagger_client.models.country_name import CountryName
from swagger_client.models.date_end import DateEnd
from swagger_client.models.date_range_obj import DateRangeObj
from swagger_client.models.date_start import DateStart
from swagger_client.models.distance import Distance
from swagger_client.models.distance_pop import DistancePop
from swagger_client.models.dma_id import DmaId
from swagger_client.models.dma_name import DmaName
from swagger_client.models.dma_obj import DmaObj
from swagger_client.models.error_obj import ErrorObj
from swagger_client.models.field_list_day_obj import FieldListDayObj
from swagger_client.models.field_list_hour_obj import FieldListHourObj
from swagger_client.models.fields import Fields
from swagger_client.models.grid import Grid
from swagger_client.models.latitude import Latitude
from swagger_client.models.longitude import Longitude
from swagger_client.models.model_date import ModelDate
from swagger_client.models.moon_age import MoonAge
from swagger_client.models.moon_azimuth import MoonAzimuth
from swagger_client.models.moon_distance import MoonDistance
from swagger_client.models.moon_elevation import MoonElevation
from swagger_client.models.moon_illum import MoonIllum
from swagger_client.models.moon_phase import MoonPhase
from swagger_client.models.moon_radius import MoonRadius
from swagger_client.models.moonrise import Moonrise
from swagger_client.models.moonset import Moonset
from swagger_client.models.nautical_rise import NauticalRise
from swagger_client.models.nautical_set import NauticalSet
from swagger_client.models.onpoint_id import OnpointId
from swagger_client.models.onpoint_obj import OnpointObj
from swagger_client.models.point_obj import PointObj
from swagger_client.models.population import Population
from swagger_client.models.postcode import Postcode
from swagger_client.models.postcode_obj import PostcodeObj
from swagger_client.models.sample_points import SamplePoints
from swagger_client.models.sample_points_inner import SamplePointsInner
from swagger_client.models.subdiv_code import SubdivCode
from swagger_client.models.subdiv_name import SubdivName
from swagger_client.models.sun_azimuth import SunAzimuth
from swagger_client.models.sun_distance import SunDistance
from swagger_client.models.sun_elevation import SunElevation
from swagger_client.models.sun_radius import SunRadius
from swagger_client.models.sun_transit import SunTransit
from swagger_client.models.sunrise import Sunrise
from swagger_client.models.sunset import Sunset
from swagger_client.models.timestamp import Timestamp
from swagger_client.models.timestamp_end import TimestampEnd
from swagger_client.models.timestamp_range_obj import TimestampRangeObj
from swagger_client.models.timestamp_start import TimestampStart
from swagger_client.models.timezone import Timezone
