# coding: utf-8

"""
    Weather Source Astronomy API

    Daily and hourly astronomical data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Astronomy API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class AstronomyDayObj(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        '_date': 'date',
        'sun_distance': 'SunDistance',
        'sun_radius': 'SunRadius',
        'sun_transit': 'SunTransit',
        'sunrise': 'Sunrise',
        'sunset': 'Sunset',
        'civil_rise': 'CivilRise',
        'civil_set': 'CivilSet',
        'nautical_rise': 'NauticalRise',
        'nautical_set': 'NauticalSet',
        'astro_rise': 'AstroRise',
        'astro_set': 'AstroSet',
        'moon_distance': 'MoonDistance',
        'moon_radius': 'MoonRadius',
        'moonrise': 'Moonrise',
        'moonset': 'Moonset',
        'moon_phase': 'MoonPhase',
        'moon_illum': 'MoonIllum',
        'moon_age': 'MoonAge'
    }

    attribute_map = {
        '_date': 'date',
        'sun_distance': 'sunDistance',
        'sun_radius': 'sunRadius',
        'sun_transit': 'sunTransit',
        'sunrise': 'sunrise',
        'sunset': 'sunset',
        'civil_rise': 'civilRise',
        'civil_set': 'civilSet',
        'nautical_rise': 'nauticalRise',
        'nautical_set': 'nauticalSet',
        'astro_rise': 'astroRise',
        'astro_set': 'astroSet',
        'moon_distance': 'moonDistance',
        'moon_radius': 'moonRadius',
        'moonrise': 'moonrise',
        'moonset': 'moonset',
        'moon_phase': 'moonPhase',
        'moon_illum': 'moonIllum',
        'moon_age': 'moonAge'
    }

    def __init__(self, _date=None, sun_distance=None, sun_radius=None, sun_transit=None, sunrise=None, sunset=None, civil_rise=None, civil_set=None, nautical_rise=None, nautical_set=None, astro_rise=None, astro_set=None, moon_distance=None, moon_radius=None, moonrise=None, moonset=None, moon_phase=None, moon_illum=None, moon_age=None):  # noqa: E501
        """AstronomyDayObj - a model defined in Swagger"""  # noqa: E501
        self.__date = None
        self._sun_distance = None
        self._sun_radius = None
        self._sun_transit = None
        self._sunrise = None
        self._sunset = None
        self._civil_rise = None
        self._civil_set = None
        self._nautical_rise = None
        self._nautical_set = None
        self._astro_rise = None
        self._astro_set = None
        self._moon_distance = None
        self._moon_radius = None
        self._moonrise = None
        self._moonset = None
        self._moon_phase = None
        self._moon_illum = None
        self._moon_age = None
        self.discriminator = None
        self._date = _date
        if sun_distance is not None:
            self.sun_distance = sun_distance
        if sun_radius is not None:
            self.sun_radius = sun_radius
        if sun_transit is not None:
            self.sun_transit = sun_transit
        if sunrise is not None:
            self.sunrise = sunrise
        if sunset is not None:
            self.sunset = sunset
        if civil_rise is not None:
            self.civil_rise = civil_rise
        if civil_set is not None:
            self.civil_set = civil_set
        if nautical_rise is not None:
            self.nautical_rise = nautical_rise
        if nautical_set is not None:
            self.nautical_set = nautical_set
        if astro_rise is not None:
            self.astro_rise = astro_rise
        if astro_set is not None:
            self.astro_set = astro_set
        if moon_distance is not None:
            self.moon_distance = moon_distance
        if moon_radius is not None:
            self.moon_radius = moon_radius
        if moonrise is not None:
            self.moonrise = moonrise
        if moonset is not None:
            self.moonset = moonset
        if moon_phase is not None:
            self.moon_phase = moon_phase
        if moon_illum is not None:
            self.moon_illum = moon_illum
        if moon_age is not None:
            self.moon_age = moon_age

    @property
    def _date(self):
        """Gets the _date of this AstronomyDayObj.  # noqa: E501


        :return: The _date of this AstronomyDayObj.  # noqa: E501
        :rtype: date
        """
        return self.__date

    @_date.setter
    def _date(self, _date):
        """Sets the _date of this AstronomyDayObj.


        :param _date: The _date of this AstronomyDayObj.  # noqa: E501
        :type: date
        """
        if _date is None:
            raise ValueError("Invalid value for `_date`, must not be `None`")  # noqa: E501

        self.__date = _date

    @property
    def sun_distance(self):
        """Gets the sun_distance of this AstronomyDayObj.  # noqa: E501


        :return: The sun_distance of this AstronomyDayObj.  # noqa: E501
        :rtype: SunDistance
        """
        return self._sun_distance

    @sun_distance.setter
    def sun_distance(self, sun_distance):
        """Sets the sun_distance of this AstronomyDayObj.


        :param sun_distance: The sun_distance of this AstronomyDayObj.  # noqa: E501
        :type: SunDistance
        """

        self._sun_distance = sun_distance

    @property
    def sun_radius(self):
        """Gets the sun_radius of this AstronomyDayObj.  # noqa: E501


        :return: The sun_radius of this AstronomyDayObj.  # noqa: E501
        :rtype: SunRadius
        """
        return self._sun_radius

    @sun_radius.setter
    def sun_radius(self, sun_radius):
        """Sets the sun_radius of this AstronomyDayObj.


        :param sun_radius: The sun_radius of this AstronomyDayObj.  # noqa: E501
        :type: SunRadius
        """

        self._sun_radius = sun_radius

    @property
    def sun_transit(self):
        """Gets the sun_transit of this AstronomyDayObj.  # noqa: E501


        :return: The sun_transit of this AstronomyDayObj.  # noqa: E501
        :rtype: SunTransit
        """
        return self._sun_transit

    @sun_transit.setter
    def sun_transit(self, sun_transit):
        """Sets the sun_transit of this AstronomyDayObj.


        :param sun_transit: The sun_transit of this AstronomyDayObj.  # noqa: E501
        :type: SunTransit
        """

        self._sun_transit = sun_transit

    @property
    def sunrise(self):
        """Gets the sunrise of this AstronomyDayObj.  # noqa: E501


        :return: The sunrise of this AstronomyDayObj.  # noqa: E501
        :rtype: Sunrise
        """
        return self._sunrise

    @sunrise.setter
    def sunrise(self, sunrise):
        """Sets the sunrise of this AstronomyDayObj.


        :param sunrise: The sunrise of this AstronomyDayObj.  # noqa: E501
        :type: Sunrise
        """

        self._sunrise = sunrise

    @property
    def sunset(self):
        """Gets the sunset of this AstronomyDayObj.  # noqa: E501


        :return: The sunset of this AstronomyDayObj.  # noqa: E501
        :rtype: Sunset
        """
        return self._sunset

    @sunset.setter
    def sunset(self, sunset):
        """Sets the sunset of this AstronomyDayObj.


        :param sunset: The sunset of this AstronomyDayObj.  # noqa: E501
        :type: Sunset
        """

        self._sunset = sunset

    @property
    def civil_rise(self):
        """Gets the civil_rise of this AstronomyDayObj.  # noqa: E501


        :return: The civil_rise of this AstronomyDayObj.  # noqa: E501
        :rtype: CivilRise
        """
        return self._civil_rise

    @civil_rise.setter
    def civil_rise(self, civil_rise):
        """Sets the civil_rise of this AstronomyDayObj.


        :param civil_rise: The civil_rise of this AstronomyDayObj.  # noqa: E501
        :type: CivilRise
        """

        self._civil_rise = civil_rise

    @property
    def civil_set(self):
        """Gets the civil_set of this AstronomyDayObj.  # noqa: E501


        :return: The civil_set of this AstronomyDayObj.  # noqa: E501
        :rtype: CivilSet
        """
        return self._civil_set

    @civil_set.setter
    def civil_set(self, civil_set):
        """Sets the civil_set of this AstronomyDayObj.


        :param civil_set: The civil_set of this AstronomyDayObj.  # noqa: E501
        :type: CivilSet
        """

        self._civil_set = civil_set

    @property
    def nautical_rise(self):
        """Gets the nautical_rise of this AstronomyDayObj.  # noqa: E501


        :return: The nautical_rise of this AstronomyDayObj.  # noqa: E501
        :rtype: NauticalRise
        """
        return self._nautical_rise

    @nautical_rise.setter
    def nautical_rise(self, nautical_rise):
        """Sets the nautical_rise of this AstronomyDayObj.


        :param nautical_rise: The nautical_rise of this AstronomyDayObj.  # noqa: E501
        :type: NauticalRise
        """

        self._nautical_rise = nautical_rise

    @property
    def nautical_set(self):
        """Gets the nautical_set of this AstronomyDayObj.  # noqa: E501


        :return: The nautical_set of this AstronomyDayObj.  # noqa: E501
        :rtype: NauticalSet
        """
        return self._nautical_set

    @nautical_set.setter
    def nautical_set(self, nautical_set):
        """Sets the nautical_set of this AstronomyDayObj.


        :param nautical_set: The nautical_set of this AstronomyDayObj.  # noqa: E501
        :type: NauticalSet
        """

        self._nautical_set = nautical_set

    @property
    def astro_rise(self):
        """Gets the astro_rise of this AstronomyDayObj.  # noqa: E501


        :return: The astro_rise of this AstronomyDayObj.  # noqa: E501
        :rtype: AstroRise
        """
        return self._astro_rise

    @astro_rise.setter
    def astro_rise(self, astro_rise):
        """Sets the astro_rise of this AstronomyDayObj.


        :param astro_rise: The astro_rise of this AstronomyDayObj.  # noqa: E501
        :type: AstroRise
        """

        self._astro_rise = astro_rise

    @property
    def astro_set(self):
        """Gets the astro_set of this AstronomyDayObj.  # noqa: E501


        :return: The astro_set of this AstronomyDayObj.  # noqa: E501
        :rtype: AstroSet
        """
        return self._astro_set

    @astro_set.setter
    def astro_set(self, astro_set):
        """Sets the astro_set of this AstronomyDayObj.


        :param astro_set: The astro_set of this AstronomyDayObj.  # noqa: E501
        :type: AstroSet
        """

        self._astro_set = astro_set

    @property
    def moon_distance(self):
        """Gets the moon_distance of this AstronomyDayObj.  # noqa: E501


        :return: The moon_distance of this AstronomyDayObj.  # noqa: E501
        :rtype: MoonDistance
        """
        return self._moon_distance

    @moon_distance.setter
    def moon_distance(self, moon_distance):
        """Sets the moon_distance of this AstronomyDayObj.


        :param moon_distance: The moon_distance of this AstronomyDayObj.  # noqa: E501
        :type: MoonDistance
        """

        self._moon_distance = moon_distance

    @property
    def moon_radius(self):
        """Gets the moon_radius of this AstronomyDayObj.  # noqa: E501


        :return: The moon_radius of this AstronomyDayObj.  # noqa: E501
        :rtype: MoonRadius
        """
        return self._moon_radius

    @moon_radius.setter
    def moon_radius(self, moon_radius):
        """Sets the moon_radius of this AstronomyDayObj.


        :param moon_radius: The moon_radius of this AstronomyDayObj.  # noqa: E501
        :type: MoonRadius
        """

        self._moon_radius = moon_radius

    @property
    def moonrise(self):
        """Gets the moonrise of this AstronomyDayObj.  # noqa: E501


        :return: The moonrise of this AstronomyDayObj.  # noqa: E501
        :rtype: Moonrise
        """
        return self._moonrise

    @moonrise.setter
    def moonrise(self, moonrise):
        """Sets the moonrise of this AstronomyDayObj.


        :param moonrise: The moonrise of this AstronomyDayObj.  # noqa: E501
        :type: Moonrise
        """

        self._moonrise = moonrise

    @property
    def moonset(self):
        """Gets the moonset of this AstronomyDayObj.  # noqa: E501


        :return: The moonset of this AstronomyDayObj.  # noqa: E501
        :rtype: Moonset
        """
        return self._moonset

    @moonset.setter
    def moonset(self, moonset):
        """Sets the moonset of this AstronomyDayObj.


        :param moonset: The moonset of this AstronomyDayObj.  # noqa: E501
        :type: Moonset
        """

        self._moonset = moonset

    @property
    def moon_phase(self):
        """Gets the moon_phase of this AstronomyDayObj.  # noqa: E501


        :return: The moon_phase of this AstronomyDayObj.  # noqa: E501
        :rtype: MoonPhase
        """
        return self._moon_phase

    @moon_phase.setter
    def moon_phase(self, moon_phase):
        """Sets the moon_phase of this AstronomyDayObj.


        :param moon_phase: The moon_phase of this AstronomyDayObj.  # noqa: E501
        :type: MoonPhase
        """

        self._moon_phase = moon_phase

    @property
    def moon_illum(self):
        """Gets the moon_illum of this AstronomyDayObj.  # noqa: E501


        :return: The moon_illum of this AstronomyDayObj.  # noqa: E501
        :rtype: MoonIllum
        """
        return self._moon_illum

    @moon_illum.setter
    def moon_illum(self, moon_illum):
        """Sets the moon_illum of this AstronomyDayObj.


        :param moon_illum: The moon_illum of this AstronomyDayObj.  # noqa: E501
        :type: MoonIllum
        """

        self._moon_illum = moon_illum

    @property
    def moon_age(self):
        """Gets the moon_age of this AstronomyDayObj.  # noqa: E501


        :return: The moon_age of this AstronomyDayObj.  # noqa: E501
        :rtype: MoonAge
        """
        return self._moon_age

    @moon_age.setter
    def moon_age(self, moon_age):
        """Sets the moon_age of this AstronomyDayObj.


        :param moon_age: The moon_age of this AstronomyDayObj.  # noqa: E501
        :type: MoonAge
        """

        self._moon_age = moon_age

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(AstronomyDayObj, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, AstronomyDayObj):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
