# coding: utf-8

"""
    Weather Source Astronomy API

    Daily and hourly astronomical data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Astronomy API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class AstronomyHourObj(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'timestamp': 'Timestamp',
        'sun_distance': 'SunDistance',
        'sun_radius': 'SunRadius',
        'sun_azimuth': 'SunAzimuth',
        'sun_elevation': 'SunElevation',
        'moon_distance': 'MoonDistance',
        'moon_radius': 'MoonRadius',
        'moon_azimuth': 'MoonAzimuth',
        'moon_elevation': 'MoonElevation',
        'moon_phase': 'MoonPhase',
        'moon_illum': 'MoonIllum',
        'moon_age': 'MoonAge'
    }

    attribute_map = {
        'timestamp': 'timestamp',
        'sun_distance': 'sunDistance',
        'sun_radius': 'sunRadius',
        'sun_azimuth': 'sunAzimuth',
        'sun_elevation': 'SunElevation',
        'moon_distance': 'moonDistance',
        'moon_radius': 'moonRadius',
        'moon_azimuth': 'moonAzimuth',
        'moon_elevation': 'moonElevation',
        'moon_phase': 'moonPhase',
        'moon_illum': 'moonIllum',
        'moon_age': 'moonAge'
    }

    def __init__(self, timestamp=None, sun_distance=None, sun_radius=None, sun_azimuth=None, sun_elevation=None, moon_distance=None, moon_radius=None, moon_azimuth=None, moon_elevation=None, moon_phase=None, moon_illum=None, moon_age=None):  # noqa: E501
        """AstronomyHourObj - a model defined in Swagger"""  # noqa: E501
        self._timestamp = None
        self._sun_distance = None
        self._sun_radius = None
        self._sun_azimuth = None
        self._sun_elevation = None
        self._moon_distance = None
        self._moon_radius = None
        self._moon_azimuth = None
        self._moon_elevation = None
        self._moon_phase = None
        self._moon_illum = None
        self._moon_age = None
        self.discriminator = None
        self.timestamp = timestamp
        if sun_distance is not None:
            self.sun_distance = sun_distance
        if sun_radius is not None:
            self.sun_radius = sun_radius
        if sun_azimuth is not None:
            self.sun_azimuth = sun_azimuth
        if sun_elevation is not None:
            self.sun_elevation = sun_elevation
        if moon_distance is not None:
            self.moon_distance = moon_distance
        if moon_radius is not None:
            self.moon_radius = moon_radius
        if moon_azimuth is not None:
            self.moon_azimuth = moon_azimuth
        if moon_elevation is not None:
            self.moon_elevation = moon_elevation
        if moon_phase is not None:
            self.moon_phase = moon_phase
        if moon_illum is not None:
            self.moon_illum = moon_illum
        if moon_age is not None:
            self.moon_age = moon_age

    @property
    def timestamp(self):
        """Gets the timestamp of this AstronomyHourObj.  # noqa: E501


        :return: The timestamp of this AstronomyHourObj.  # noqa: E501
        :rtype: Timestamp
        """
        return self._timestamp

    @timestamp.setter
    def timestamp(self, timestamp):
        """Sets the timestamp of this AstronomyHourObj.


        :param timestamp: The timestamp of this AstronomyHourObj.  # noqa: E501
        :type: Timestamp
        """
        if timestamp is None:
            raise ValueError("Invalid value for `timestamp`, must not be `None`")  # noqa: E501

        self._timestamp = timestamp

    @property
    def sun_distance(self):
        """Gets the sun_distance of this AstronomyHourObj.  # noqa: E501


        :return: The sun_distance of this AstronomyHourObj.  # noqa: E501
        :rtype: SunDistance
        """
        return self._sun_distance

    @sun_distance.setter
    def sun_distance(self, sun_distance):
        """Sets the sun_distance of this AstronomyHourObj.


        :param sun_distance: The sun_distance of this AstronomyHourObj.  # noqa: E501
        :type: SunDistance
        """

        self._sun_distance = sun_distance

    @property
    def sun_radius(self):
        """Gets the sun_radius of this AstronomyHourObj.  # noqa: E501


        :return: The sun_radius of this AstronomyHourObj.  # noqa: E501
        :rtype: SunRadius
        """
        return self._sun_radius

    @sun_radius.setter
    def sun_radius(self, sun_radius):
        """Sets the sun_radius of this AstronomyHourObj.


        :param sun_radius: The sun_radius of this AstronomyHourObj.  # noqa: E501
        :type: SunRadius
        """

        self._sun_radius = sun_radius

    @property
    def sun_azimuth(self):
        """Gets the sun_azimuth of this AstronomyHourObj.  # noqa: E501


        :return: The sun_azimuth of this AstronomyHourObj.  # noqa: E501
        :rtype: SunAzimuth
        """
        return self._sun_azimuth

    @sun_azimuth.setter
    def sun_azimuth(self, sun_azimuth):
        """Sets the sun_azimuth of this AstronomyHourObj.


        :param sun_azimuth: The sun_azimuth of this AstronomyHourObj.  # noqa: E501
        :type: SunAzimuth
        """

        self._sun_azimuth = sun_azimuth

    @property
    def sun_elevation(self):
        """Gets the sun_elevation of this AstronomyHourObj.  # noqa: E501


        :return: The sun_elevation of this AstronomyHourObj.  # noqa: E501
        :rtype: SunElevation
        """
        return self._sun_elevation

    @sun_elevation.setter
    def sun_elevation(self, sun_elevation):
        """Sets the sun_elevation of this AstronomyHourObj.


        :param sun_elevation: The sun_elevation of this AstronomyHourObj.  # noqa: E501
        :type: SunElevation
        """

        self._sun_elevation = sun_elevation

    @property
    def moon_distance(self):
        """Gets the moon_distance of this AstronomyHourObj.  # noqa: E501


        :return: The moon_distance of this AstronomyHourObj.  # noqa: E501
        :rtype: MoonDistance
        """
        return self._moon_distance

    @moon_distance.setter
    def moon_distance(self, moon_distance):
        """Sets the moon_distance of this AstronomyHourObj.


        :param moon_distance: The moon_distance of this AstronomyHourObj.  # noqa: E501
        :type: MoonDistance
        """

        self._moon_distance = moon_distance

    @property
    def moon_radius(self):
        """Gets the moon_radius of this AstronomyHourObj.  # noqa: E501


        :return: The moon_radius of this AstronomyHourObj.  # noqa: E501
        :rtype: MoonRadius
        """
        return self._moon_radius

    @moon_radius.setter
    def moon_radius(self, moon_radius):
        """Sets the moon_radius of this AstronomyHourObj.


        :param moon_radius: The moon_radius of this AstronomyHourObj.  # noqa: E501
        :type: MoonRadius
        """

        self._moon_radius = moon_radius

    @property
    def moon_azimuth(self):
        """Gets the moon_azimuth of this AstronomyHourObj.  # noqa: E501


        :return: The moon_azimuth of this AstronomyHourObj.  # noqa: E501
        :rtype: MoonAzimuth
        """
        return self._moon_azimuth

    @moon_azimuth.setter
    def moon_azimuth(self, moon_azimuth):
        """Sets the moon_azimuth of this AstronomyHourObj.


        :param moon_azimuth: The moon_azimuth of this AstronomyHourObj.  # noqa: E501
        :type: MoonAzimuth
        """

        self._moon_azimuth = moon_azimuth

    @property
    def moon_elevation(self):
        """Gets the moon_elevation of this AstronomyHourObj.  # noqa: E501


        :return: The moon_elevation of this AstronomyHourObj.  # noqa: E501
        :rtype: MoonElevation
        """
        return self._moon_elevation

    @moon_elevation.setter
    def moon_elevation(self, moon_elevation):
        """Sets the moon_elevation of this AstronomyHourObj.


        :param moon_elevation: The moon_elevation of this AstronomyHourObj.  # noqa: E501
        :type: MoonElevation
        """

        self._moon_elevation = moon_elevation

    @property
    def moon_phase(self):
        """Gets the moon_phase of this AstronomyHourObj.  # noqa: E501


        :return: The moon_phase of this AstronomyHourObj.  # noqa: E501
        :rtype: MoonPhase
        """
        return self._moon_phase

    @moon_phase.setter
    def moon_phase(self, moon_phase):
        """Sets the moon_phase of this AstronomyHourObj.


        :param moon_phase: The moon_phase of this AstronomyHourObj.  # noqa: E501
        :type: MoonPhase
        """

        self._moon_phase = moon_phase

    @property
    def moon_illum(self):
        """Gets the moon_illum of this AstronomyHourObj.  # noqa: E501


        :return: The moon_illum of this AstronomyHourObj.  # noqa: E501
        :rtype: MoonIllum
        """
        return self._moon_illum

    @moon_illum.setter
    def moon_illum(self, moon_illum):
        """Sets the moon_illum of this AstronomyHourObj.


        :param moon_illum: The moon_illum of this AstronomyHourObj.  # noqa: E501
        :type: MoonIllum
        """

        self._moon_illum = moon_illum

    @property
    def moon_age(self):
        """Gets the moon_age of this AstronomyHourObj.  # noqa: E501


        :return: The moon_age of this AstronomyHourObj.  # noqa: E501
        :rtype: MoonAge
        """
        return self._moon_age

    @moon_age.setter
    def moon_age(self, moon_age):
        """Sets the moon_age of this AstronomyHourObj.


        :param moon_age: The moon_age of this AstronomyHourObj.  # noqa: E501
        :type: MoonAge
        """

        self._moon_age = moon_age

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(AstronomyHourObj, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, AstronomyHourObj):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
